%define name	aalib
%define version	1.4.0
%define major	1

%define	fname	%{name}-1.4rc5
%define libname	%mklibname aa %major
%define release	0.rc5.14mdk

Summary:	AA (Ascii Art) library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
BuildRequires:	XFree86-devel
BuildRequires:  ncurses-devel
BuildRequires:	slang-devel
BuildRequires:	texinfo
BuildRequires:	automake1.7
Source0: 	http://prdownloads.sourceforge.net/aa-project/%{fname}.tar.bz2
Patch0:         %{name}-info.patch.bz2
Patch1:		aalib-rpath.patch.bz2
Patch2:		aalib-1.4-automake18.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: 		http://aa-project.sourceforge.net/aalib/

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

%package -n	%{libname}
Summary:	AA (Ascii Art) library
Group:		System/Libraries
Provides:	%{name}
Obsoletes:	%{name}

%description -n	%{libname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

%package -n	%{libname}-devel
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libaa-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{libname}-devel
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install the %{libname}-devel package if you want to develop applications that
will use the %{name} library.

%package -n	%{libname}-static-devel
Summary:	Static library for developing apps which will use %{name}
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Provides:	libaa-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
Static library for %{name}

%package	progs
Summary:	Tools to %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description progs
AA-lib tools.

%prep
%setup -q
%patch0 -p1 -b .info
%patch1 -p0 -b .rpath
%patch2 -p1 -b .automake18

%__libtoolize --copy --force
ACLOCAL=aclocal-1.7 AUTOMAKE=automake-1.7 FORCE_AUTOCONF_2_5=1 autoreconf --force --install

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/aalib-config

%clean
rm -rf %buildroot

%post -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info 

%postun -n %{libname} -p /sbin/ldconfig

%preun -n %{libname}-devel
%_remove_install_info %{name}.info 

%files -n %{libname}
%defattr(-,root,root)
%doc NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/aalib-config
%multiarch %{multiarch_bindir}/aalib-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_infodir}/*.*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a

%files progs
%defattr(-,root,root,755)
%doc README
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_mandir}/man1/*


%changelog
* Wed Feb 09 2005 Abel Cheung <deaddog@mandrake.org> 1.4.0-0.rc5.14mdk
- Use automake 1.9
- P2: compatibility with automake >= 1.8

* Tue Feb 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.0-0.rc5.13mdk
- multiarch
- fix summary-ended-with-dot

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.12mdk
- ouch, need coffee

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.11mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.10mdk
- build against new slang

* Mon Jun 07 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.0-0.rc5.9mdk
- force use of automake1.7 and autoconf2.5
- wipe out buildroot before installing
- cosmetics

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-0.rc5.8mdk
- rebuild for new rpm

* Sat Jun 07 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.0-0.rc5.7mdk
- BuildRequires
- remove redundant -devel Requires
 
* Wed Apr 16 2003 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-0.rc5.6mdk
- fix buildrequires and requires of the devel package

* Thu Jan 23 2003 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-0.rc5.5mdk
- fix requires and provides
- add missing m4 macro file
- use the mklibname macro

* Wed Jun 26 2002 Yves Duret <yduret@mandrakesoft.com> 1.4.0-0.rc5.4mdk
- put back .la in -devel files.

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.0-0.rc5.3mdk
- aalib-config: we really don't need rpath on /usr/lib !

* Thu May 16 2002 Yves Duret <yduret@mandrakesoft.com> 1.4.0-0.rc5.2mdk
- 9.0 lib policy: added %libname-static-devel

* Fri Apr 19 2002 Yves Duret <yduret@mandrakesoft.com> 1.4.0-0.rc5.1mdk
- bumped to version 1.4.0 rc5.
- add aalib-progs rpm

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu. 1.2-13mdk
- BuildRequires
- fixed URL
- Copyright --> License

* Sat Jun 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2-12mdk
- run libtoolize/autoconf/automake/aclocal/etc. in %%prep
  to fix build with latest libtool

* Sat Feb 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-11mdk
- apply spec patch from Abel <doglist@linuxhall.org>

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-10mdk
- Correct info installation
- Remove french description

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-9mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-8mdk
- BM
- make rpmlint happier

* Fri Mar 10 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- rebuilt for 7.1

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use _tmppath in Buildroot

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Install info files
- Don't include the dir file
- Split the packages into two packages

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the Summary to be more meaningfull

* Tue Jul 9 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in the spec that garbage the french description

* Tue Jul 06 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new library needed for GIMP
